import axios from '@/libs/axios.js';

// 根据客户编号查找收货地址
export const findAddressBycustomerNo = params => {
  return axios.request({
    url: `receiveaddress/findBycustomerNo/${params.customerNo}`,
    method: 'get'
  })
};

// 收货地址删除
export const deleteAddress = params => {
  return axios.request({
    url: `receiveaddress/delete/${params.id}`,
    method: 'get'
  })
};

// 收货地址列表查询(不分页)
export const getAddressList = params => {
  return axios.request({
    url: `receiveaddress/querylist`,
    method: 'post',
	data: params
  })
};

// 收货地址保存
export const saveAddress = params => {
  return axios.request({
    url: `receiveaddress/save`,
    method: 'post',
	data: params
  })
};